PETSc version 3.17.4
Fix/Edit manual page

# MatProductCreateWithMat

Setup a given matrix as a matrix product.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatProductCreateWithMat(Mat A,Mat B,Mat C,Mat D)

Collective on Mat

### Input Parameters

| A | - the first matrix
| B | - the second matrix
| C | - the third matrix (optional)
| D | - the matrix which will be used as a product

### Output Parameters

| D | - the product matrix

### Notes

Any product data attached to D will be cleared

### See Also

MatProductCreate(), MatProductClear()

### Level

intermediate

### Location

src/mat/interface/matproduct.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages